Skip to main content
GET
/
v1
/
pay
/
fixedaddress
/
list
Query Static Collection Address List
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/fixedaddress/list \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "total": 2,
    "list": [
      {
        "channelId": "smart_shop1",
        "chain": "ETH",
        "address": "0xE2b3fA811f04FD5Ac6559007795D6Fc74365126B",
        "currencies": [
          "USDC"
        ],
        "callbackUrl": "https://www.abc.com/callback",
        "createTime": 1727603135221,
        "updateTime": 1727603135221,
        "desc": "",
        "ChainShowEn": "ETH /ERC20",
        "is_risk": 0
      },
      {
        "channelId": "smart_shop",
        "chain": "ETH",
        "address": "0x3FdC81C3f549343a3E0706A382035B7B461C0840",
        "currencies": [
          "DAI",
          "USDT"
        ],
        "callbackUrl": "https://www.abc.com/callback",
        "createTime": 1727603076963,
        "updateTime": 1727603076963,
        "desc": "",
        "ChainShowEn": "ETH /ERC20",
        "is_risk": 1
      }
    ]
  }
}
Queries the list of generated and valid static collection addresses.

Headers

X-GatePay-Certificate-ClientId
string
required

The clientId assigned when the merchant registers an application in the Gate merchant console.

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Request signature. GatePay uses this signature to verify whether the request is valid.

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds when the request is generated. GatePay will not process requests where the difference from the receive time exceeds 10 seconds.

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random string. Must comply with HTTP header rules; recommended length is within 32 characters, composed of digits and letters.

Example:

"9578"

Query Parameters

page
integer
required

A non-negative integer starting from 0, indicating the page number

count
integer
required

A positive integer representing the number of entries displayed per page, with a maximum of 100

Response

200 - application/json

Successful response

status
enum<string>

API response result, SUCCESS or FAIL.

Available options:
SUCCESS,
FAIL
code
string

Response error code.

errorMessage
string

Error description.

data
object